/***************************************************************************
                          dsortidacerca.h  -  description
                             -------------------
    begin                : mar ago 5 2003
    copyright            : (C) 2003 by projecte
    email                : projecte@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DSORTIDACERCA_H
#define DSORTIDACERCA_H

#include <qdialog.h>


#include <qgroupbox.h>
#include <qcanvas.h>
#include <qpixmap.h>
#include <qimage.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qstring.h>
#include "caract/pgAccess/list_id_euc.h"
#include "caract/rmlib/rmimage/rmimage.h"



/**
  *@author projecte
  */

class DSortidaCerca : public QDialog  {
     Q_OBJECT

private slots:

  void slotBotoNext();
  void slotBotoAnt();
  void slotBotoTaca();
 


public:
                                 //(QWidget* parent, const char *name, int wflags,Llista_Caract_Im llista);
	DSortidaCerca(QWidget* parent, const char *name, int wflags,list_ID_EUC &llista);
	~DSortidaCerca();
    bool cancela;
    list_ID_EUC llista;
    int total_elements;
 
    
private:

  void inicialitzaGroup();
  void inicialitzaBotons();
  void carregarImag(QImage i,QPixmap p,int n);
  void canviImag(QImage i, QPixmap p,int n);
  void imgInactiva(int i,int imgActual);
  char *qStrToChar(const QString &fileName);
//  void inicialitzaRellevancies();
  
  int imgActual;
  int nImatges;
  char path[255];


  QPushButton *bNext;
  QPushButton *bAnt;
//  QPushButton *bRf;
  QPushButton *bTanca;

  QGroupBox *g1;
  QGroupBox *g2;
  QGroupBox *g3;
  QGroupBox *g4;
  QGroupBox *g5;
  QGroupBox *g6;
  QGroupBox *g7;
  QGroupBox *g8;

  QCanvas *c1;
  QCanvas *c2;
  QCanvas *c3;
  QCanvas *c4;
  QCanvas *c5;
  QCanvas *c6;
  QCanvas *c7;
  QCanvas *c8;

  QCanvasView *v1;
  QCanvasView *v2;
  QCanvasView *v3;
  QCanvasView *v4;
  QCanvasView *v5;
  QCanvasView *v6;
  QCanvasView *v7;
  QCanvasView *v8;

  QLineEdit *le1;
  QLineEdit *le2;
  QLineEdit *le3;
  QLineEdit *le4;
  QLineEdit *le5;
  QLineEdit *le6;
  QLineEdit *le7;
  QLineEdit *le8;

  QLineEdit *nom1;
  QLineEdit *nom2;
  QLineEdit *nom3;
  QLineEdit *nom4;
  QLineEdit *nom5;
  QLineEdit *nom6;
  QLineEdit *nom7;
  QLineEdit *nom8;
  
};

#endif
