/***************************************************************************
                          myspinbox.h  -  description
                             -------------------
    begin                : vie dic 5 2003
    copyright            : (C) 2003 by projecte
    email                : projecte@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYSPINBOX_H
#define MYSPINBOX_H

#include <qspinbox.h>

/**
  *@author projecte
  */

class MySpinBox : public QSpinBox  {
public: 
   	MySpinBox();
     MySpinBox(QWidget * parent = 0, const char * name = 0);
	      ~MySpinBox();
     QString mapValueToText( int value )
        {
            if ( value == -1 ) // special case
                return QString( "Auto" );

            return QString( "%1.%2" ) // 0.0 to 10.0
                   .arg( value / 100 ).arg( value % 100 );
        }

        int mapTextToValue( bool *ok )
        {
            if ( text() == "Auto" ) // special case
                return -1;

            return (int) ( 100 * text().toFloat() ); // 0 to 100
        }

};

#endif
