/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : jue nov  6 12:49:24 CET 2003
    copyright            : (C) 2003 by projecte
    email                : projecte@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>
#include "caract.h"


int main(int argc, char *argv[])
{
  QApplication a(argc, argv);
  a.setFont(QFont("helvetica", 12));
  QTranslator tor( 0 );
  // set the location where your .qm files are in load() below as the last parameter instead of "."
  // for development, use "/" to use the english original as
  // .qm files are stored in the base project directory.
  tor.load( QString("caract.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  CaractApp *caract=new CaractApp();
  a.setMainWidget(caract);

  caract->showMaximized();

  if(argc>1)
    caract->openDocumentFile(argv[1]);
//	else
//	  caract->openDocumentFile();
	
  return a.exec();
}
