
#include "pgacces.h"
#include "string.h"
#include <stdlib.h>
#include <iostream.h>
#include <iomanip.h>

pgAcces::pgAcces(){
}

pgAcces::~pgAcces(){
}

int pgAcces::insertCaract(char insert[100]){

  PgDatabase data(dbName);

   if ( data.ConnectionBad() ){
		cout << "Connection to database '" << dbName << "' failed." << endl
		<< "Error returned: " << data.ErrorMessage() << endl;
    return -1;
	}
  else{
    if ( !data.ExecCommandOk("BEGIN") ){
        cout << "BEGIN command failed" << endl;
        return -1;
    }
    //insertem les caracteristiques 
      if ( !data.ExecCommandOk(insert) ){
  	      cerr << "INSERT command failed" << endl;
    		  return -1;
      }
 }
  data.Exec("END");
  return 1;

}

int pgAcces::cercaId(char query[100],char fetch[100],char close[100]){
  int id=-1;

  PgDatabase data(dbName);

	if ( data.ConnectionBad() ){
		cout << "Connection to database '" << dbName << "' failed." << endl
		<< "Error returned: " << data.ErrorMessage() << endl;
    return -1;
	}
  else{
    if ( !data.ExecCommandOk("BEGIN") ){
      cout << "BEGIN command failed" << endl;
    }
    if ( !data.ExecCommandOk(query ) ){
      cout << "DECLARE CURSOR command failed" << endl;
    }
    if ( !data.ExecTuplesOk(fetch)){
      cout << "FETCH ALL command didn't return tuples properly" << endl;
    }
  }
  int nTuples = data.Tuples();
  nTuples++;

   data.Exec(close);
  data.Exec("END");

  return nTuples;
}

int pgAcces::getTuples(){
  return nTuples;
}
