/***************************************************************************
                          brent.h  -  description
                             -------------------
    begin                : Wed Sep 25 2002
    copyright            : (C) 2002 by Robert Marti
    email                : robertmarti@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BRENT_H
#define BRENT_H

#include "caract/rmlib/rmutils/rmfuncs.h"

/**Brent line minimisation, from NumRec
  *@author Robert Marti
  */

class Brent {
public: 
	Brent();
	~Brent();

	static double solve( double ax, double bx, double cx,
		 rmFunc1D& F, double tol, double &xmin );
};


#endif
