/***************************************************************************
                          f1dim.h  -  description
                             -------------------
    begin                : Wed Sep 25 2002
    copyright            : (C) 2002 by Robert Marti
    email                : robertmarti@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef F1DIM_H
#define F1DIM_H

#include "caract/rmlib/rmutils/rmfuncs.h"
#include "caract/rmlib/rmmatrix/rmvector.h"

/**
  *@author Robert Marti
  */

class F1Dim : public rmFunc1D {

private :

	rmVector<double> p, xi;
	rmFuncs& f;

public: 
	F1Dim (const rmVector<double> & _p, const rmVector<double> & _xi,
		  rmFuncs& _f )	: p(_p), xi(_xi), f(_f) {}
	~F1Dim() {}
	virtual double operator () ( double x );
};
#endif
