/***************************************************************************
                          rmpoint2d.cpp  -  description
                             -------------------
    begin                : Sun Jun 30 2002
    copyright            : (C) 2002 by Robert Marti
    email                : robertmarti@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "rmpoint2d.h"
#include <iostream.h>

rmPoint2d::rmPoint2d(){
}

rmPoint2d::rmPoint2d(int xx, int yy){
	xc=xx;
	yc=yy;
	zc=0;
}

rmPoint2d::rmPoint2d(int xx, int yy, int zz){
	xc=xx;
	yc=yy;
	zc=0;
	cout <<"Apparently, a 2D point has 2 coordinates, not 3, z=0!"<<endl;
}

int rmPoint2d::z()
{
	cout <<"No Z component for a 2D point"<<endl;
	return 0;
}
	
void rmPoint2d::z(int zz)
{
	cout <<"No Z component for a 2D point"<<endl;
}

rmPoint2d rmPoint2d::operator+(rmPoint2d p1)
{
	rmPoint2d res;
	res.x(xc+p1.x());
	res.y(yc+p1.y());
	return res;
}

rmPoint2d::~rmPoint2d(){
}
