/***************************************************************************
                          dialegbinaritza.h  -  description
                             -------------------
    begin                : lun feb 16 2004
    copyright            : (C) 2004 by projecte
    email                : projecte@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIALEGBINARITZA_H
#define DIALEGBINARITZA_H

#include <qdialog.h>
#include <qslider.h>
#include <qgroupbox.h>
#include <qspinbox.h>
#include <qpushbutton.h>

#include "../imatge.h"
#include "../caractdoc.h"


#define MAX 255

/**
  *@author projecte
  */

class DialegBinaritza : public QDialog  {
  Q_OBJECT
public: 
	DialegBinaritza(CaractDoc&);
	~DialegBinaritza();
   void InitDialeg(CaractDoc &i);

private slots:
    void slotBotoOK();
    void slotBotoCANCEL();
    void slotVariaEntrada(int a);
    void slotVariaSlider (int a);
  
private:

  QGroupBox *GrupBarretaSlider;
      QSlider *barreta;
      QSpinBox *entrada;

  QPushButton *botoOk;
  QPushButton *botoCancel;
  
   rmImage rmtmp;
   CaractDoc *pDoc;
   rmImage tmp;
};

#endif
