/***************************************************************************
                          forma.cpp  -  description
                             -------------------
    begin                : lun dic 2 2002
    copyright            : (C) 2002 by root
    email                : root@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "forma.h"

forma::forma(){
}

forma::~forma(){
}

void forma::extreureMinBox(rmImage & imatge_E){
  int et, etiq;
  xMin = imatge_E.dimX;
  yMin = imatge_E.dimY;
  xMax = 0;
  yMax = 0;

  etiq=imatge_E.data(0,0);
  
  for(int y=0;y<imatge_E.dimY;y++){
     for(int x=0;x<imatge_E.dimX;x++){
        et = imatge_E.data(x,y);
        if(et != etiq){
           if(x<xMin) xMin = x;
           if(y<yMin) yMin = y;
           if(x>xMax) xMax = x;
           if(y>yMax) yMax = y;
         }
      }
   }
}

void forma::area(rmImage & imatge_E){
  varea = 0.0;
  int et, etiq;

  etiq=imatge_E.data(0,0);

  for(int i = xMin;i<=xMax;i++){
    for(int j = yMin;j<=yMax;j++){
       et = imatge_E.data(i,j);
      if(et != etiq) varea += 1.0;
    }
  }

}

void forma::perimetre(int etiq,rmImage & imatge_E){
  vperimetre = 0.0;
  int i,j;
  int w,h;
  #define DESV 1

  w = imatge_E.dimX;
  h = imatge_E.dimY;
    
    for(i=xMin;i<xMax;i++){
      for(j=yMin;j<yMax;j++){
        if (imatge_E.data(i,j) == etiq){
          if(i-1>=0 && j-1>=0 && i+1<imatge_E.dimX && j+1 < imatge_E.dimY){
          if(imatge_E.data(i-1,j-1)!=etiq && imatge_E.data(i,j-1)!=etiq) vperimetre++;
          else{
            if(imatge_E.data(i+1,j-1)!=etiq && imatge_E.data(i,j-1)!=etiq) vperimetre++;
            else{
              if(imatge_E.data(i+1,j-1)!=etiq && imatge_E.data(i+1,j)!=etiq) vperimetre++;
              else{
                if(imatge_E.data(i+1,j)!=etiq && imatge_E.data(i+1,j+1)!=etiq) vperimetre++;
                else{
                  if(imatge_E.data(i+1,j+1)!=etiq && imatge_E.data(i,j+1)!=etiq) vperimetre++;
                  else{
                    if(imatge_E.data(i-1,j+1)!=etiq && imatge_E.data(i,j+1)!=etiq) vperimetre++;
                    else{
                      if(imatge_E.data(i-1,j+1)!=etiq && imatge_E.data(i-1,j)!=etiq) vperimetre++;
                      else{
                        if(imatge_E.data(i-1,j)!=etiq && imatge_E.data(i-1,j-1)!=etiq) vperimetre++;
                      }
                    }
                  }
                }
              }
            }
          }}
        }
      } 
    } 
}

void forma::compactness(rmImage & imatge_E){
  vcompactness = 0.0;

  vcompactness = ((double)pow(vperimetre,2)) / (4.0*PI*varea);
}
void forma::length(){

  vlength=(double)xMax-(double)xMin+1;
}
void forma::breath(){

  vbreadth=(double)yMax-(double)yMin+1;
}
void forma::elongation(int etiq,rmImage & imatge_E){

  velongacio = 0.0;

  if((yMax-yMin) != 0)
    velongacio = ((double)xMax-(double)xMin)/((double)yMax-(double)yMin);
}
void forma::centroidX(){
  vcentroidX=((double)xMin+(double)xMax)/2.0;
}
void forma::centroidY(){
  vcentroidY=((double)yMin+(double)yMax)/2.0;
}

void forma::centroid(){
   centroidX();
   centroidY();
}






