/***************************************************************************
                          docwidget.h  -  description
                             -------------------
    begin                : lun dic 2 2002
    copyright            : (C) 2002 by Joan

 ***************************************************************************/

#ifndef DOCWIDGET_H
#define DOCWIDGET_H

#include<qimage.h>
#include<qwidget.h>
#include <qtextedit.h>
#include "contornl.h"
//#include <qptrcollection.h> 




class DocWidget :public QWidget {
  Q_OBJECT
public: 
	DocWidget(QWidget *parent);
  DocWidget(QWidget *parent,QImage base);
	~DocWidget();
  void canviaImatge(QImage nova);
  bool visualize(QImage SourceImage);
  void paintEvent(QPaintEvent *PaintEvent);
  void EsborrarLlista();
  void MostraText();

  
  QImage img;
  bool AgafoPunts;                  //, ja_desfet, ja_pitxat;
  ContornL *llista;                    //punts escollits de la figura (manual o automaticament)
  QTextEdit Text;                     //Per tal de mostrar els resultats
  double centreX, centreY;       //es el centre de masses
  double augments;                  //valor pel qual cal multiplicar les creuetes pertal que surtin b si es fa zoom
  bool enfocat;                        //tenim tota la imatge o nomes la zona dinteres
  int xMin, yMin;
  bool mostraPunts;                 //mostra els punts o no del dw
            
protected:
  void mousePressEvent( QMouseEvent *);

};


#endif
