#include "rmstatregion.h"
	
void rmStatRegion::initStats(int value, int nSeed) {
	N=1;	// starting a new region
	sum = value;
	sum2 = sum*sum;
	mean=sum;
	var=0;
	stdev=0;
	ID=nSeed;
}

void rmStatRegion::updateStats(int value) {
	sum+=value;
	sum2+=(value*value);
	N++;
	mean = sum/N;
	var = ((sum2-N*mean*mean)/(N-1));
}

double rmStatRegion::getMean()
{ return mean;}

double rmStatRegion::getVar()
{return var;}

int rmStatRegion::getN()
{return N;}

int rmStatRegion::getID()
{return ID;}

