/***************************************************************************
                          rmentropy.h  -  description
                             -------------------
    begin                : Fri Jul 5 2002
    copyright            : (C) 2002 by Robert Marti
    email                : robertmarti@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RMENTROPY_H
#define RMENTROPY_H

#include "caract/rmlib/rmimage/rmimage.h"

/**Compute the Entropy of the difference image
  *@author Robert Marti
  */

class rmEntropy
{

public:
	rmEntropy();
	~rmEntropy();
	/** Compute the entropy of the difference image*/
	double eval(rmImage &,  rmImage &);
	/** Entropy function*/
	double h(double,rmImage&,rmImage &);
};
#endif
